Subject: bug#36534: closed (Re: bug#36534: 25.2; mercurial vc-annotate sometimes fails when using the evolve mercurial extension)

From: Dmitry Gutov <[email-masked]>
Date: Sun, 13 Dec 2020 03:57:12 +0200

Hi Glenn,

Thanks.

On 12.12.2020 20:54, Glenn Morris wrote:
> 
> Hi, this change causes a test failure.
> 
> Ref eg https://hydra.nixos.org/build/132497145

Apparently Hg shows revision "-1" for a file in a repository with no 
commits at all (which is confirmed by 
https://stackoverflow.com/a/28831490/615245).

I can't reproduce it locally, though. My Hg is 5.3.1, Hydra's is 4.7. 
Apparently that behavior changed at some point, but I can't find the 
exact version and change log entry.

The exact values are not very important for that test, so I'll just add 
another possible one.